%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libplist
#Epoch:		0
Version:	1.3
Release:	1
License:	GPLv2
URL:		http://github.com/JonathanBeck/libplist/tree/master
Group:		System/Libraries
Summary:        A library to handle Apple Property List format whereas it's binary or XML
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: swig
BuildRequires: cmake

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel >= 2.7
BuildRequires: pkg-config python26-devel

%description
A library to handle Apple Property List format whereas it's binary or XML

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/plutil
%{_bindir}/plutil-%{version}
%{python_sitearch}/plist
%{_libdir}/libplist.so.*
%{_libdir}/libplist++.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/plist
%{_pkgconfig}/libplist.pc
%{_pkgconfig}/libplist++.pc
%{_libdir}/libplist.so
%{_libdir}/libplist++.so


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- version update
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Version update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.12-2
- python 2.6
* Fri Jul 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.12-1
- initial CCux package release
